From d70ed2be70551e962a5ae3f76197012bda9bcd27 Mon Sep 17 00:00:00 2001
From: David Carlier <dcarlier@afilias.info>
Date: Thu, 28 Jun 2018 15:39:59 +0000
Subject: [PATCH] Constraint on the destination buffer

---
 string/explicit_bzero.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/string/explicit_bzero.c b/string/explicit_bzero.c
index 7ba3f0f62c..c26ac38311 100644
--- a/string/explicit_bzero.c
+++ b/string/explicit_bzero.c
@@ -34,5 +34,5 @@ explicit_bzero (void *s, size_t len)
 {
   memset (s, '\0', len);
   /* Compiler barrier.  */
-  asm volatile ("" ::: "memory");
+  asm volatile ("" :: "r"(s)  : "memory");
 }
-- 
2.14.1

